[Tinyos-help] "can't load library 'libtermcap.so.2'"

Razvan Musaloiu-E. razvanm at cs.jhu.edu
Thu Feb 7 07:06:42 PST 2008


Hi!

On Thu, 7 Feb 2008, Alessandro Turella wrote:

> Hi all,
>
> I'm trying to debug my msp430 device (Tmote Sky) with the "Blink" program 
> using msp430-jtag.
> I'm using debian testing, and when i try to start the msp430gdb it returns to 
> me an error:
>
> "can't load library 'libtermcap.so.2'"
>
> so i tried to install the |termcap-compat| package. but it require the old 
> libc5 instead of libc6 required by tinyos system 
> I installed TOS2.x on debian using the ubuntu repository... it seems to work, 
> i can compile but not debug, anyone can help?

I recompile the gdb in order to make it work. Here are the required files 
plus a script automate the steps:
 	http://cs.jhu.edu/~razvanm/wsn/msp430-gdb/
Note: the install path is $HOME/local.

--
Razvan ME


More information about the Tinyos-help mailing list